Package org.kapott.hbci.passport.storage.format.legacy

# Class ConverterRDHNew

java.lang.Object
org.kapott.hbci.passport.storage.format.legacy.AbstractConverter
org.kapott.hbci.passport.storage.format.legacy.AbstractConverterXML
org.kapott.hbci.passport.storage.format.legacy.ConverterRDHNew

All Implemented Interfaces:
  `Converter`

public class ConverterRDHNew extends AbstractConverterXML
Implementierung des Converter fuer RDHNew.

## Constructor Summary

Constructors
Constructor
Description
`ConverterRDHNew()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`fill(Document doc, Element root, PassportData data)`
Schreibt die Daten in die XML-Struktur.
`PassportData`
`load(InputStream is)`
Laedt die Passport-Daten.
`boolean`
`supports(HBCIPassport passport)`
Prueft, ob der Loader dieses Format lesen kann.

### Methods inherited from class org.kapott.hbci.passport.storage.format.legacy.AbstractConverterXML

`createElement, createKeyElement, createPropsElement, getElementKey, getElementProps, getElementValue, read, save`

### Methods inherited from class org.kapott.hbci.passport.storage.format.legacy.AbstractConverter

`getSalt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConverterRDHNew

public ConverterRDHNew()

## Method Details

### load

public PassportData load(InputStream is) throws Exception
Description copied from interface: `Converter`
Laedt die Passport-Daten.

Parameters:
  `is` - der Stream, von dem die Daten gelesen werden.
Returns:
  die gelesenen Daten.
Throws:
  `Exception` - wenn es beim Lesen der Daten zu einem Fehler kam.
See Also:
  - `Converter.load(java.io.InputStream)`

### fill

protected void fill(Document doc, Element root, PassportData data)
Description copied from class: `AbstractConverterXML`
Schreibt die Daten in die XML-Struktur.

Specified by:
  `fill` in class `AbstractConverterXML`
Parameters:
  `doc` - das Dokument.
  `root` - das Root-Element.
  `data` - die zu schreibenden Daten.
See Also:
  - `AbstractConverterXML.fill(org.w3c.dom.Document, org.w3c.dom.Element, org.kapott.hbci.passport.storage.PassportData)`

### supports

public boolean supports(HBCIPassport passport)
Description copied from interface: `Converter`
Prueft, ob der Loader dieses Format lesen kann.

Parameters:
  `passport` - der Passport.
Returns:
  true, wenn er es lesen kann.
See Also:
  - `Converter.supports(org.kapott.hbci.passport.HBCIPassport)`